package mhp.oee.po.gen;

import java.util.Date;

public class PlcObjectPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.PLC_OBJECT
     *
     * @mbggenerated
     */
    private String plcObject;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.CATEGORY
     *
     * @mbggenerated
     */
    private String category;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.PLC_OBJECT_DESCRIPTION
     *
     * @mbggenerated
     */
    private String plcObjectDescription;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column plc_object.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.HANDLE
     *
     * @return the value of plc_object.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.HANDLE
     *
     * @param handle the value for plc_object.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.SITE
     *
     * @return the value of plc_object.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.SITE
     *
     * @param site the value for plc_object.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.PLC_OBJECT
     *
     * @return the value of plc_object.PLC_OBJECT
     *
     * @mbggenerated
     */
    public String getPlcObject() {
        return plcObject;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.PLC_OBJECT
     *
     * @param plcObject the value for plc_object.PLC_OBJECT
     *
     * @mbggenerated
     */
    public void setPlcObject(String plcObject) {
        this.plcObject = plcObject == null ? null : plcObject.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.CATEGORY
     *
     * @return the value of plc_object.CATEGORY
     *
     * @mbggenerated
     */
    public String getCategory() {
        return category;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.CATEGORY
     *
     * @param category the value for plc_object.CATEGORY
     *
     * @mbggenerated
     */
    public void setCategory(String category) {
        this.category = category == null ? null : category.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.PLC_OBJECT_DESCRIPTION
     *
     * @return the value of plc_object.PLC_OBJECT_DESCRIPTION
     *
     * @mbggenerated
     */
    public String getPlcObjectDescription() {
        return plcObjectDescription;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.PLC_OBJECT_DESCRIPTION
     *
     * @param plcObjectDescription the value for plc_object.PLC_OBJECT_DESCRIPTION
     *
     * @mbggenerated
     */
    public void setPlcObjectDescription(String plcObjectDescription) {
        this.plcObjectDescription = plcObjectDescription == null ? null : plcObjectDescription.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.CREATED_DATE_TIME
     *
     * @return the value of plc_object.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for plc_object.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.MODIFIED_DATE_TIME
     *
     * @return the value of plc_object.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for plc_object.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column plc_object.MODIFIED_USER
     *
     * @return the value of plc_object.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column plc_object.MODIFIED_USER
     *
     * @param modifiedUser the value for plc_object.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}